Plugin compatibility after unsuccessful WP e-Commerce 3.7 to 3.8 Plugin upgrade

A quick note affecting my WP e-Commerce Plugins where an existing WP e-Commerce 3.7 store has been upgraded to the latest WP e-Commerce 3.8 before – for whatever reason – rolling back to their existing WP e-Commerce 3.7 files.

WP e-Commerce has a WordPress option within the wp_options table of the database called ‘wpsc_version’ which once upgraded to 3.8 changes from a value of ‘3.7’ to ‘3.8.x’, if you have rolled-back from WP e-Commerce 3.8 to an older 3.7 release you will need to manually adjust this value back to ‘3.7’ as it is reported WP e-Commerce 3.7 does not do this by itself, this can be done with phpMyAdmin or other database management tools provided by your hosting provider.

Leaving this WordPress option unchanged confuses my Plugins which depends on this for identifying the correct WP e-Commerce files as well as its own version-based files to load during activation and daily use. If you’re noticing weird error messages after rolling back it’s quite likely the above scenario is at fault.

If you get stuck feel free to shoot me a message as it’s an easy fix.

Approved Plugin Compatibility with WP e-Commerce 3.8

WP e-Commerce 3.8 official has hit the streets and is continuing to get love with the 3.8.1 Plugin update! Now is a great chance to cover the rollout of support for WP e-Commerce 3.8 within the free and premium WP e-Commerce Plugins available here on Visser Labs, many of which already do or now fully support the new 3.8 release.

Several Plugins already include support for WP e-Commerce 3.8 official carrying over from early 3.8 development releases (e.g. RC1, RC2, etc.) but due to changes between these builds I?m now going through and confirming working compatibility with WP e-Commerce 3.8 official. Those that do not yet include support for WP e-Commerce 3.8 will very shortly. Check the table below for progress; I’ll be updating thoughout the day.

Plugin Name 3.8 Support 3.8 Confirmed
Download Manager Yes Yes (1.0.3)
Nuke WP e-Commerce Yes Yes (1.5.3)
Offline Credit Card Processing Yes Yes (1.4.3)
Product Versioning Yes Yes (1.2.2)
Sales Widget Yes Yes (1.1)
Send to a Friend Yes Yes (1.2.3)
Related Products Yes Yes (1.4.2)
Visser Labs Plugins Monitor Yes Yes (1.2)
Add to Wishlist Yes Yes (1.6.4)
Custom Fields Yes Yes (1.0.3)
Edit Orders Yes Yes (1.0)
Facebook Like Button Yes Yes (1.5.1)
Facebook Share Yes Yes (1.3.1)
Manual Ordering Yes Yes (1.2.4)
Order Tracking Yes Yes (1.2.1)
Printable Invoices Yes Yes (1.4.3)
Product Categories Importer Yes Yes (1.5.5)
Product Importer Deluxe No No
Product Importer Standard No No
Product Enquiry Yes Yes (1.1)
Rebuild Sales Table (beta) No No
Store Reports No No
Wholesale Pricing Yes Yes (1.4)

I?ve added a WP e-Commerce Compatibility tab to each Plugin page for easy reference as to whether 3.8 support is available and confirmed also in the future as to whether the Plugin is backwards compatible with existing 3.7 stores; don?t worry, I?ll be supporting both for a long time yet!